Subject: bug#33702: closed (Re: [bug#33702] [PATCH 0/7] Fix python-kombu, update python-amqp, and add 5 new packages)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 12 Dec 2018 08:08:02 +0000

Your bug report

#33702: [PATCH 0/7] Fix python-kombu, update python-amqp, and add 5 new packages

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
33702: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=33702
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#33702] [PATCH 0/7] Fix python-kombu, update python-amqp, and add 5 new packages
From: Christopher Baines <[email-masked]>
To: Leo Famulari <[email-masked]>
Cc: [email-masked]
Date: Wed, 12 Dec 2018 09:06:56 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Leo Famulari <[email-masked]> writes:

> On Tue, Dec 11, 2018 at 07:55:08AM +0100, Christopher Baines wrote:
>> python-kombu currently fails to build, to fix this, update the
>> package. This required updating python-amqp as well, and some additional
>> packages.
>>
>> Christopher Baines (7):
>>   gnu: Add python-pytest-sugar.
>>   gnu: Add python-serpent.
>>   gnu: Add python-case.
>>   gnu: Add python-vine.
>>   gnu: Add python-pyro4.
>>   gnu: python-amqp: Update to 2.3.2.
>>   gnu: python-kombu: Update to 4.2.2.
>
> LGTM!

Great :) I slightly tweaked amqp and kombu to remove python-nose, as I
realised this was an unnecessry input when updating billiard and celery.

I've now pushed these patches, thanks for taking a look.

Subject: [PATCH 0/7] Fix python-kombu, update python-amqp, and add 5 new packages
From: Christopher Baines <[email-masked]>
To: [email-masked]
Date: Tue, 11 Dec 2018 07:55:08 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

python-kombu currently fails to build, to fix this, update the
package. This required updating python-amqp as well, and some additional
packages.

Christopher Baines (7):
  gnu: Add python-pytest-sugar.
  gnu: Add python-serpent.
  gnu: Add python-case.
  gnu: Add python-vine.
  gnu: Add python-pyro4.
  gnu: python-amqp: Update to 2.3.2.
  gnu: python-kombu: Update to 4.2.2.

 gnu/packages/check.scm  |  24 +++++++++
 gnu/packages/python.scm | 113 ++++++++++++++++++++++++++++++++++++++--
 2 files changed, 132 insertions(+), 5 deletions(-)